# Class FileTxnSnapLog.LogDirContentCheckException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.zookeeper.server.persistence.FileTxnSnapLog.DatadirException
org.apache.zookeeper.server.persistence.FileTxnSnapLog.LogDirContentCheckException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `FileTxnSnapLog`

public static class FileTxnSnapLog.LogDirContentCheckException extends FileTxnSnapLog.DatadirException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LogDirContentCheckException(String msg)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LogDirContentCheckException

public LogDirContentCheckException(String msg)